/*!
 * Copyright (c) 2021 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
*/

.jumbotron {
  padding-bottom: 10px;
}

.header-cn4ef-day-2021-event .featured-jumbotron {
  & {
    background-image: url('images/cn4f-day/jumbotron.jpg');
    background-size: cover;
    text-shadow: 1px 1px #000;
  }
  .dropdown-menu {
    text-shadow: none;
  }
  h1 {
    margin-bottom: 0;
    color: #fff;
    font-weight: 600;
    &:after {
      border: none;
    }
  }
  .featured-jumbotron-subtitle {
    margin: 0 0 20px 0;
    font-size: 25px;
    font-weight: bold;
    line-height: 30px;
    color: @orange;
  }
  .featured-jumbotron-tagline {
    font-size: @font-size-lg;
  }
  .btn {
    text-shadow: none;
  }
  .register-btn,
  .agenda-btn,
  .speakers-btn {
    margin: 15px 10px 0;
    border-radius: 4px;

  }
}

.cn4ef-logos {
  margin: 80px 0 20px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
  li {
    padding: 20px;
    display: flex;
    align-items: center;
    @media (min-width: @screen-md-min) {
      border-right: 2px solid @brand-primary;
      &:last-child {
        border-right: none;
      }
    }
  }

  img {
    max-height: 30px;
    max-width: 155px;
  }
}

.white-row {
  background-color: white;
}

.about-the-event-section {
  & {
    margin: 50px 0;
  }
  h2 {
    font-weight: 500;
  }
}

.event-hosted-by-section {
  & {
    margin: 50px 0;
  }
  .ef-logo-ctn {
    display: flex;
    width: 100%;
    justify-content: center;
    .ef-logo {
      width: 150px;
    }
  }

  .wg-ctn {
    & {
      box-shadow: 1px 1px 12px rgba(0, 0, 0, 0.1);
      height: 180px;
      @media only screen and (min-width: 768px) and (max-width: 925px) {
        height: 220px;
      }
    }
    .logo-header {
      height: 56px;
      background-color: @orange;
      display: flex;
      justify-content: center;
      align-items: center;
      img {
        width: 120px;
      }
      .small-height-logos {
        width: 170px;
      }
    }
  }
}
